Name:		yafray
Version:	0.0.9
Release:	%mkrel 4
Summary:	Raytracing tool 
License:	LGPLv2+
Group: 		Graphics
Source0:	http://www.yafray.org/sec/2/downloads/yafray-%{version}.tar.bz2
# From Debian: fixes build with GCC 4.3 - AdamW 2008/07
Patch0:		yafray-0.0.9-gcc43.patch
URL: 		http://www.yafray.org
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libjpeg-devel
BuildRequires:	libz-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	scons

%description
YafRay is a graphic raytracer to render 3D models.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .gcc43
perl -pi -e 's@/lib@/%{_lib}@g' linux-settings.py
%build

%ifarch %{ix86}
cp -p linux-settings.py linux-settings.ix86
mkdir build-sse2
perl -pi -e \
	's/-O3 -ffast-math -fomit-frame-pointer/%{optflags} -O3 -ffast-math -msse2 -mfpmath=sse/g' linux-settings.py
scons prefix=%{_prefix}
# TODO: also the plugins .so files should be under ./build-sse2, but we need
# to modify the yafray library code so that they will be searched into
# /usr/lib/yafray/sse2/ too, before /usr/lib/yafray/.
# AdamW 2008/07 - libyafrayplugin and libyafraycore are really plugins,
# not shared libraries, and should go to /usr/lib/yafray and /usr/lib/
# yafray/sse2 as well. Debian does this.
cp -p ./src/interface/libyafrayplugin.so \
	./src/yafraycore/libyafraycore.so ./build-sse2
scons -c 
cp -p linux-settings.ix86 linux-settings.py
%endif
perl -pi -e \
	's/-O3 -ffast-math -fomit-frame-pointer/%{optflags} -O3 -ffast-math/g' linux-settings.py
scons prefix=%{_prefix}

%install
rm -rf %{buildroot}
scons install prefix=%{buildroot}%{_prefix}
%ifarch %{ix86}
mkdir -p %{buildroot}%{_prefix}/%{_lib}/sse2
install -m 755 ./build-sse2/libyafrayplugin.so %{buildroot}%{_prefix}/%{_lib}/sse2/
install -m 755 ./build-sse2/libyafraycore.so %{buildroot}%{_prefix}/%{_lib}/sse2/
%endif

# our sysconf dir is /etc not /usr/etc
mv %{buildroot}%{_prefix}/etc %{buildroot}/etc

# remove .sconsign files
find %{buildroot} -name .sconsign -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README doc/doc.html
%attr(0755,root,root) %{_bindir}/yafray
%{_sysconfdir}/gram.yafray
# Warning: Module, not development library
%{_libdir}/libyafray*
# Plugins
%{_libdir}/yafray
%ifarch %{ix86}
%{_libdir}/sse2
%endif




%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.0.9-4mdv2009.1
+ Revision: 350733
- rebuild

* Thu Jul 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.9-3mdv2009.0
+ Revision: 233542
- rebuild against new OpenEXR
- add gcc43.patch from Debian to fix build with GCC 4.3
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9-2mdv2008.1
+ Revision: 130652
- kill re-definition of %%buildroot on Pixel's request


* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.0.9-2mdv2007.0
+ Revision: 122351
- Rebuilt against libOpenEXR4.
- removed -msse since -msse2 already implies it.

* Tue Jul 25 2006 Giuseppe Ghibò <ghibo@mandriva.com> 0.0.9-1mdv2007.0
+ Revision: 41962
- Release 0.0.9.
- Removed Patch0, merged upstream.
- [$VER: 0.0.8-3mdv]
- fixed build for 64bit.
- Added OpenEXR-devel to BuildRequires.
- fixed Summary and rebuild.

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Adding YafRay 0.0.8 to contrib

